import type { _MTL4AccelerationStructureGeometryDescriptor } from "./MTL4AccelerationStructureGeometryDescriptor.js";
import type { MTL4BufferRange } from "../structs/MTL4BufferRange.js";
export declare class _MTL4AccelerationStructureBoundingBoxGeometryDescriptor extends _MTL4AccelerationStructureGeometryDescriptor {
    static alloc(): _MTL4AccelerationStructureBoundingBoxGeometryDescriptor;
    static new(): _MTL4AccelerationStructureBoundingBoxGeometryDescriptor;
    init(): _MTL4AccelerationStructureBoundingBoxGeometryDescriptor;
    /**
     * References a buffer containing bounding box data in `MTLAxisAlignedBoundingBoxes` format. You are responsible for ensuring the buffer address of the range is not zero.
     */
    boundingBoxBuffer(): MTL4BufferRange;
    setBoundingBoxBuffer$(value: MTL4BufferRange): void;
    /**
     * Assigns the stride, in bytes, between bounding boxes in the bounding box buffer `boundingBoxBuffer` references. You are responsible for ensuring this stride is at least 24 bytes and a multiple of 4 bytes. This property defaults to `24` bytes.
     */
    boundingBoxStride(): number;
    setBoundingBoxStride$(value: number): void;
    /** Describes the number of bounding boxes the `boundingBoxBuffer` contains. */
    boundingBoxCount(): number;
    setBoundingBoxCount$(value: number): void;
}
